import arg from 'arg'
import tmp from 'tmp'

const parseArgumentsIntoOptions = (rawArgs) => {
  const args = arg({
    '--no-git': Boolean,
    '--no-install': Boolean,
    '--directory': String,
    '-d': '--directory'
  }, {
    argv: rawArgs.slice(2)
  })
  let identifier = args._[0] || ''
  identifier = identifier.split('/')
  const [widgetCategory, widgetName] = identifier
  const tempObj = tmp.dirSync()
  const tempGitPath = `${tempObj.name}/financial-widgets`
  return {
    noGitInit: args['--no-git'] || false,
    noInstall: args['--no-install'] || false,
    directory: args['--directory'] || null,
    widgetCategory,
    widgetName,
    tempObj,
    tempGitPath
  }
}
export { parseArgumentsIntoOptions }
export default parseArgumentsIntoOptions
